#include "pebblisp.h"

fn(startServer,
   "(serve) => 0\n"
   "Starts a simple web server with routes that have been added with (get) and (post).\n"
   "Returns 0 if the server was successfully started, otherwise 1.\n"
   "Note: This is a non-blocking call. It is recommended to wait for some input before exiting.\n"
   "  A simple way would be to use (inp) immediately after the (serve) call."
);

fn(addGetRoute,
   "Adds a GET route at the given path with the given function.\n"
   "  (get \"/\" (fn () (\"Hello, world!\")))\n"
   "  (get \"/parampath\" (fn (req) (req's queryParams)))\n"
   "  (serve)\n"
   "Also see: (serve)\n"
);

fn(addPostRoute,
   "Adds a POST route at the given path with the given function.\n"
   "Note: Can't do anything with POSTed data yet.\n"
   "  (post \"/\" (fn () (\"Hello, world!\")))\n"
   "  (serve)\n"
   "Also see: (serve)\n"
);
